Bug 1264349 - While accessing VM console of a guest which is running on vSphere 6, it is giving 'Console access failed: Unsupported provider API version 6' error.
While accessing VM console of a guest which is running on vSphere 6, it is gi...
Status: CLOSED NOTABUG
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.4.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.5.0
Assigned To: Brian McLaughlin
Dave Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-18 05:21 EDT by Nikhil Gupta
Modified: 2015-09-23 13:23 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-23 13:23:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
api error (143.00 KB, image/jpeg)
2015-09-18 05:21 EDT, Nikhil Gupta
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1748903 None None None Never

  None (edit)
Description Nikhil Gupta 2015-09-18 05:21:21 EDT
Created attachment 1074749 [details]
api error

Description of problem:
Upgraded Virtual center to version 6. When opening the console we get the following error on CFME webui:
Console access failed: Unsupported provider API version 6. (UI_error.jpg)

In evm.log:
~~~
[----] E, [2015-09-17T09:54:23.547070 #570:bc780c] ERROR -- : MIQ(vm_infra_controller-vmrc_console): Console access failed: Unsupported Provider API version 6.0
~~~

In production.log:
~~~
[----] I, [2015-09-17T09:54:23.461964 #570:bc780c]  INFO -- : Started POST "/vm_infra/vmrc_console/1000000000039" for <ipaddress> at 2015-09-17 10:54:23 +0100
[----] I, [2015-09-17T09:54:23.470832 #570:bc780c]  INFO -- : Processing by VmInfraController#vmrc_console as JS
[----] I, [2015-09-17T09:54:23.471028 #570:bc780c]  INFO -- :   Parameters: {"id"=>"1000000000039"}
[----] I, [2015-09-17T09:54:23.558411 #570:bc780c]  INFO -- :   Rendered layouts/_flash_msg.html.erb (0.1ms)
[----] I, [2015-09-17T09:54:23.558764 #570:bc780c]  INFO -- :   Rendered shared/ajax/_partial_replace.js.erb (1.6ms)
[----] I, [2015-09-17T09:54:23.559017 #570:bc780c]  INFO -- :   Rendered shared/ajax/_flash_msg_replace.js.erb (6.3ms)
[----] I, [2015-09-17T09:54:23.563042 #570:bc780c]  INFO -- : Completed 200 OK in 91.8ms (Views: 11.8ms | ActiveRecord: 8.2ms)
~~~


Version-Release number of selected component (if applicable):
cfme-5.3.5.4-20150709145631_c2306e1

How reproducible:
Always

Steps to Reproduce:
1. Upgraded VC 5 to vsphere 6
2. Access vm console which is running on it.

Actual results:
getting the following error:
Console access failed: Unspported provider API version 6.

Expected results:
VM console should be accessible.

Note You need to log in before you can comment on or make changes to this bug.